<?php
function bkmrk_request($name, $default=null) 
{
	if (!isset($_REQUEST[$name])) return $default;
	if (get_magic_quotes_gpc()) return bkmrk_stripslashes($_REQUEST[$name]);
	else return $_REQUEST[$name];
}

function bkmrk_stripslashes($value)
{
	$value = is_array($value) ? array_map('bkmrk_stripslashes', $value) : stripslashes($value);
	return $value;
}
function bkmrk_field_text($name, $label='', $tips='', $attrs='')
{
  global $options;
  if (strpos($attrs, 'size') === false) $attrs .= 'size="30"';
  echo '<tr><th scope="row">';
  echo '<label for="options[' . $name . ']">' . $label . '</label></th>';
  echo '<td><input type="text" ' . $attrs . ' name="options[' . $name . ']" value="' . 
    htmlspecialchars($options[$name]) . '"/>';
  echo ' ' . $tips;
  echo '</td></tr>';
}

function bkmrk_field_text2($name, $label='', $tips='', $attrs='')
{
  global $options;
  if (strpos($attrs, 'size') === false) $attrs .= 'size="30"';
  echo '<th scope="row">';
  echo '<label for="options[' . $name . ']">' . $label . '</label></th>';
  echo '<td><input type="text" ' . $attrs . ' name="options[' . $name . ']" value="' . 
    htmlspecialchars($options[$name]) . '"/>';
  echo ' ' . $tips;
  echo '</td>';
}


function bkmrk_field_checkbox($name, $label='', $tips='', $attrs='')
{
  global $options;
  echo '<tr><th scope="row">';
  echo '<label for="options[' . $name . ']">' . $label . '</label></th>';
  echo '<td><input type="checkbox" ' . $attrs . ' name="options[' . $name . ']" value="1" ' . 
    ($options[$name]!= null?'checked':'') . '/>';
  echo ' ' . $tips;
  echo '</td></tr>';
}

function bkmrk_field_checkbox2($name, $label='', $tips='', $attrs='')
{
  global $options;
  echo '<th scope="row">';
  echo '<label for="options[' . $name . ']">' . $label . '</label></th>';
  echo '<td><input type="checkbox" ' . $attrs . ' name="options[' . $name . ']" value="1" ' . 
    ($options[$name]!= null?'checked':'') . '/>';
  echo ' ' . $tips;
  echo '</td>';
}
	

if (isset($_POST['save']))
{
  $options = bkmrk_request('options');
  update_option('bkmrk', $options);
}
else 
{
    $options = get_option('bkmrk');
}

$image_url = get_option('home') . '/wp-content/plugins/bookmark-me/images/';
?>	
<div class="wrap">
<form method="post">

<h2>Bookmarks</h2>

<? if (defined('POST_LAYOUT')) { ?>
<p>You have the post layout plugin installed. You can print the bookmark buttons directly from
post layout using the tag [bookmark_me].</p>
<table class="form-table">
<?php bkmrk_field_checkbox('post_layout', 'Use post layout to place the bookmarks', ''); ?>
</table>
<? } ?>

<h3>Where and how to show the buttons</h3>
<h4>On a single post</h4>
<table class="form-table">
<tr>
<?php bkmrk_field_checkbox2('post_before', 'Before the post content', ''); ?>
<?php bkmrk_field_checkbox2('post_after', 'After the post content', ''); ?>
</tr>
</table>

<h4>On a single page</h4>
<table class="form-table">
<tr>
<?php bkmrk_field_checkbox2('page_before', 'Before the page content', ''); ?>
<?php bkmrk_field_checkbox2('page_after', 'After the page content', ''); ?>
</tr>
</table>

<h4>On home page</h4>
<table class="form-table">
<tr>
<?php bkmrk_field_checkbox2('home_before', 'Before the post content - home page', ''); ?>
<?php bkmrk_field_checkbox2('home_after', 'After the post content - home page', ''); ?>
</tr>
</table>

<h4>Other options</h4>
<table class="form-table">
<tr>
<?php bkmrk_field_checkbox2('target', 'Open the site in a new window', ''); ?>
<?php bkmrk_field_text2('label', 'Text before the buttons', ''); ?>
</tr>
</table>


<h3>Buttons to display</h3>
<table class="form-table">
<?php bkmrk_field_checkbox('digg', '<img src="' . $image_url . 'digg.png">', 'Digg (digg.com)'); ?>
<?php bkmrk_field_checkbox('technorati', '<img src="' . $image_url . 'technorati.png">', 'Technorati (technorati.com)'); ?>
<?php bkmrk_field_checkbox('facebook', '<img src="' . $image_url . 'facebook.png">', 'Facebook (facebook.com)'); ?>
<?php bkmrk_field_checkbox('stumbleupon', '<img src="' . $image_url . 'stumbleupon.png">', 'Stumbleupon (stumbleupon.com)'); ?>
<?php bkmrk_field_checkbox('yahoo', '<img src="' . $image_url . 'yahoo.png">', 'Yahoo (yahoo.com)'); ?>
<?php bkmrk_field_checkbox('delicious', '<img src="' . $image_url . 'delicious.png">', 'Delicious (del.icio.us)'); ?>
<?php bkmrk_field_checkbox('google', '<img src="' . $image_url . 'google.png">', 'Google Bookmarks (www.google.com/bookmarks)'); ?>
<?php bkmrk_field_checkbox('fark', '<img src="' . $image_url . 'fark.png">', 'Fark (fark.com)'); ?>
<?php bkmrk_field_checkbox('furl', '<img src="' . $image_url . 'furl.png">', 'Furl (furl.com)'); ?>
<?php bkmrk_field_checkbox('linkarena', '<img src="' . $image_url . 'linkarena.png">', 'Linkarena (linkarena.de)'); ?>
<?php bkmrk_field_checkbox('folkd', '<img src="' . $image_url . 'folkd.png">', 'Folkd (folkd.com)'); ?>

</table>

<h4>Italian</h4>
<table class="form-table">
<?php bkmrk_field_checkbox('it_oknotizie', '<img src="' . $image_url . 'it_oknotizie.png">', 'OK Notizie (oknotizie.alice.it)'); ?>
<?php bkmrk_field_checkbox('it_segnalo', '<img src="' . $image_url . 'it_segnalo.png">', 'Segnalo (segnalo.com)'); ?>
<?php bkmrk_field_checkbox('it_diggita', '<img src="' . $image_url . 'it_diggita.png">', 'Diggita (www.diggita.it)'); ?>
<?php bkmrk_field_checkbox('it_upnews', '<img src="' . $image_url . 'it_upnews.png">', 'UpNews (www.upnews.it)'); ?>
<?php bkmrk_field_checkbox('it_bookmark', '<img src="' . $image_url . 'it_bookmark.png">', 'Bookmark (www.bookmark.it)'); ?>
<?php bkmrk_field_checkbox('it_wikio', '<img src="' . $image_url . 'it_wikio.png">', 'Wikio (www.wikio.it)'); ?>
<?php bkmrk_field_checkbox('it_badzu', '<img src="' . $image_url . 'it_badzu.png">', 'Badzu (www.badzu.net)'); ?>
</table>
<p>More? Let me know: <a href="mailto:satollo@gmail.com">satollo@gmail.com</a>.</p>

<h4>Deutsche (German)</h4>
<table class="form-table">
<?php bkmrk_field_checkbox('de_mister-wong', '<img src="' . $image_url . 'de_mister-wong.png">', 'Mister wong (www.mister-wong.de)'); ?>
<?php bkmrk_field_checkbox('de_icio', '<img src="' . $image_url . 'de_icio.png">', 'Icio.de (icio.de)'); ?>
<?php bkmrk_field_checkbox('de_webnews', '<img src="' . $image_url . 'de_webnews.png">', 'Webnews (www.webnews.de)'); ?>
<?php bkmrk_field_checkbox('de_oneview', '<img src="' . $image_url . 'de_oneview.png">', 'Oneview (www.oneview.de)'); ?>
<?php bkmrk_field_checkbox('de_yigg', '<img src="' . $image_url . 'de_yigg.png">', 'Yigg (yigg.de)'); ?>
<?php bkmrk_field_checkbox('de_newstube', '<img src="' . $image_url . 'de_newstube.png">', 'Newstube (www.newstube.de)'); ?>
<?php bkmrk_field_checkbox('de_wikio', '<img src="' . $image_url . 'de_wikio.png">', 'Wikio.de (wikio.de)'); ?>

<?php bkmrk_field_checkbox('de_favit', '<img src="' . $image_url . 'de_favit.png">', 'Favit (favit.de)'); ?>
<?php bkmrk_field_checkbox('de_newsider', '<img src="' . $image_url . 'de_newsider.png">', 'Newsider (newsider.de)'); ?>
<?php bkmrk_field_checkbox('de_linksilo', '<img src="' . $image_url . 'de_linksilo.png">', 'Linksilo (linksilo.de)'); ?>
<?php bkmrk_field_checkbox('de_readster', '<img src="' . $image_url . 'de_readster.png">', 'Readster (readster.de)'); ?>
<?php bkmrk_field_checkbox('de_kledy', '<img src="' . $image_url . 'de_kledy.png">', 'Kledy (kledy.de)'); ?>
<?php bkmrk_field_checkbox('de_bonitrust', '<img src="' . $image_url . 'de_bonitrust.png">', 'BoniTrust (bonitrust.de)'); ?>
<?php bkmrk_field_checkbox('de_favoriten', '<img src="' . $image_url . 'de_favoriten.png">', 'Favoriten (favoriten.de)'); ?>

</table>
<p>More? Let me know: <a href="mailto:satollo@gmail.com">satollo@gmail.com</a>.</p>

<h4>Fran&ccedil;ais</h4>
<table class="form-table">
<?php bkmrk_field_checkbox('fr_metatarse', '<img src="' . $image_url . 'fr_metatarse.png">', 'Metatarse (www.metatarse.com)'); ?>
</table>
<p>More? Let me know: <a href="mailto:satollo@gmail.com">satollo@gmail.com</a>.</p>

<h4>Espa&ntilde;ol</h4>
<table class="form-table">
<?php bkmrk_field_checkbox('es_meneame', '<img src="' . $image_url . 'es_meneame.png">', 'Men&egrave;ame (meneame.net)'); ?>
<?php bkmrk_field_checkbox('es_fresqui', '<img src="' . $image_url . 'es_fresqui.png">', 'Fresqui (fresqui.com)'); ?>
<?php bkmrk_field_checkbox('es_blogmemes', '<img src="' . $image_url . 'es_blogmemes.png">', 'Blog Memes (www.blogmemes.com)'); ?>
</table>
<p>More? Let me know: <a href="mailto:satollo@gmail.com">satollo@gmail.com</a>.</p>

<h4>Slovak</h4>
<table class="form-table">
<?php bkmrk_field_checkbox('sk_linkuj', '<img src="' . $image_url . 'sk_linkuj.png">', 'Linkuj (www.linkuj.sk)'); ?>
<?php bkmrk_field_checkbox('sk_vybrali', '<img src="' . $image_url . 'sk_vybrali.png">', 'Vybrali (vybrali.sme.sk)'); ?>
</table>
<p>More? Let me know: <a href="mailto:satollo@gmail.com">satollo@gmail.com</a>.</p>

<h4>Netherlands</h4>
<table class="form-table">
<?php bkmrk_field_checkbox('nl_nujij', '<img src="' . $image_url . 'nl_nujij.png">', '(nujij.nl)'); ?>
<?php bkmrk_field_checkbox('nl_ekudos', '<img src="' . $image_url . 'nl_ekudos.png">', '(www.ekudos.nl)'); ?>
<?php bkmrk_field_checkbox('nl_msnreporter', '<img src="' . $image_url . 'nl_msnreporter.png">', '(reporter.msn.nl)'); ?>
<?php bkmrk_field_checkbox('nl_tipt', '<img src="' . $image_url . 'nl_tipt.png">', '(www.tipt.nl)'); ?>
<?php bkmrk_field_checkbox('nl_wvwo', '<img src="' . $image_url . 'nl_wvwo.png">', '(watvindenwijover.nl)'); ?>
<?php bkmrk_field_checkbox('nl_tagmos', '<img src="' . $image_url . 'nl_tagmos.png">', '(www.tagmos.nl)'); ?>
</table>
<p>More? Let me know: <a href="mailto:satollo@gmail.com">satollo@gmail.com</a>.</p>

<h4>Sweden</h4>
<table class="form-table">
<?php bkmrk_field_checkbox('se_pusha', '<img src="' . $image_url . 'se_pusha.png">', '(www.pusha.se)'); ?>
</table>
<p>More? Let me know: <a href="mailto:satollo@gmail.com">satollo@gmail.com</a>.</p>

<p class="sumit"><input type="submit" name="save" value="Save"/></p>

</form>
</div>
