<?php
/*
Plugin Name: Bookmark Me
Plugin URI: http://www.satollo.com/english/wordpress/bookmark-me
Description: Bookmark Me is a plugin to add bookmark buttons (even non english bookmark sites) to your post or page.
Version: 1.2
Author: Satollo
Author URI: http://www.satollo.com
Disclaimer: Use at your own risk. No warranty expressed or implied is provided.
*/

/*	Copyright 2008  Satollo  (email : satollo@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

define('BOOKMARK_ME', true);

$bkmrk_options = get_option('bkmrk');

add_action('admin_head', 'bkmrk_admin_head');
function bkmrk_admin_head()
{
    add_options_page('Bookmark Me', 'Bookmark Me', 'manage_options', 'bookmark-me/options.php');
}

add_action('the_content', 'bkmrk_the_content');
function bkmrk_the_content($content)
{
    global $bkmrk_options;
    if ($bkmrk_options['post_layout']) return $content;

    $buffer = '<p class="bookmark-me">' . $bkmrk_options['label'] . bookmark_me() . '</p>';
    
    if (is_page()) {
        if ($bkmrk_options['page_before']) $content = $buffer . $content;
        if ($bkmrk_options['page_after']) $content .= $buffer ;
    }
    else if (is_single()) {
        if ($bkmrk_options['post_before']) $content = $buffer . $content;
        if ($bkmrk_options['post_after']) $content .= $buffer ;
    }
    else {
        if ($bkmrk_options['home_before']) $content = $buffer . $content;
        if ($bkmrk_options['home_after']) $content .= $buffer ;
    }
    return $content;
}

function bookmark_me()
{
    global $bkmrk_options;

    $title_encoded = urlencode(get_the_title());
    $link_encoded = urlencode(get_permalink());
    $target = '';
    $img_attrs = ' style="margin:0;border:0;padding:0" alt="bookmark"';
    if ($bkmrk_options['target']) $target .= ' target="_blank" rel="nofollow"' ;
    
    $image_url = get_option('home') . '/wp-content/plugins/bookmark-me/images/';
    $buffer = '';
    
    // International/English
    if ($bkmrk_options['technorati']) $buffer .= '<a title="technorati.com" href="http://www.technorati.com/faves?add=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'technorati.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['delicious']) $buffer .= '<a title="del.icio.us" href="http://del.icio.us/post?url=' . $link_encoded  . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'delicious.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['stumbleupon']) $buffer .= '<a title="stumbleupon.com" href="http://www.stumbleupon.com/submit?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'stumbleupon.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['digg']) $buffer .= '<a title="digg.com" href="http://digg.com/submit?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'digg.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['facebook']) $buffer .= '<a title="www.facebook.com" href="http://www.facebook.com/share.php?u=' . $link_encoded . '&amp;t=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'facebook.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['yahoo']) $buffer .= '<a title="bookmarks.yahoo.com" href="http://bookmarks.yahoo.com/toolbar/savebm?opener=tb&u=' . $link_encoded  . '"' . $target . '><img src="' . $image_url . 'yahoo.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['google']) $buffer .= '<a title="www.google.com" href="http://www.google.com/bookmarks/mark?op=edit&amp;output=popup&amp;bkmk=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'google.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['fark']) $buffer .= '<a title="fark.com" href="http://cgi.fark.com/cgi/fark/edit.pl?new_url=' . $link_encoded . '&amp;new_comment=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'fark.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['furl']) $buffer .= '<a title="furl.com" href="http://www.furl.net/storeIt.jsp?u=' . $link_encoded . '&amp;t=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'furl.png"' . $img_attrs . '/></a> ';

	if ($bkmrk_options['linkarena']) $buffer .= '<a title="linkarena.de" href="http://linkarena.com/bookmarks/addlink/?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'linkarena.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['folkd']) $buffer .= '<a href="http://www.folkd.com/submit/' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'folkd.png"' . $img_attrs . '/></a> ';  

	
    // Italian
    if ($bkmrk_options['it_oknotizie']) $buffer .= '<a title="oknotizie.alice.it" href="http://oknotizie.alice.it/post?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'it_oknotizie.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['it_segnalo']) $buffer .= '<a title="segnalo.com" href="http://segnalo.com/post.html.php?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'it_segnalo.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['it_diggita']) $buffer .= '<a title="www.diggita.it" href="http://www.diggita.it/submit.php?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'it_diggita.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['it_upnews']) $buffer .= '<a title="www.upnews.it" href="http://www.upnews.it/submit?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'it_upnews.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['it_bookmark']) $buffer .= '<a title="www.bookmark.it" href="http://www.bookmark.it/bookmark.php?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'it_bookmark.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['it_wikio']) $buffer .= '<a title="www.wikio.it" href="http://www.wikio.it/vote?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'it_wikio.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['it_badzu']) $buffer .= '<a title="www.badzu.net" href="http://www.badzu.net/submit?action=it&amp;link=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'it_badzu.png"' . $img_attrs . '/></a> ';  

	// German
    if ($bkmrk_options['de_mister-wong']) $buffer .= '<a title="mister-wong.de" href="http://www.mister-wong.de/index.php?action=addurl&bm_url=' . $link_encoded . '&amp;bm_tags=&amp;bm_notice=&bm_description=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'de_mister-wong.png"' . $img_attrs . '/></a> ';  

    if ($bkmrk_options['de_icio']) $buffer .= '<a title="icio.de" href="http://www.icio.de/login.php?popup=1&url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'de_icio.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['de_webnews']) $buffer .= '<a title="webnews.de" href="http://www.webnews.de/einstellen?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'de_webnews.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['de_oneview']) $buffer .= '<a title="oneview.de" href="http://www.oneview.de/quickadd/neu/addBookmark.jsf?URL=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'de_oneview.png"' . $img_attrs . '/></a> ';  
	
    if ($bkmrk_options['de_yigg']) $buffer .= '<a title="yigg.de" href="http://yigg.de/neu?exturl=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'de_yigg.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['de_newstube']) $buffer .= '<a title="newstube.de" href="http://www.newstube.de/submit.php?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'de_newstube.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['de_wikio']) $buffer .= '<a title="wikio.de" href="http://www.wikio.de/vote?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'de_wikio.png"' . $img_attrs . '/></a> ';  
	
    if ($bkmrk_options['de_favit']) $buffer .= '<a title="favit.de" href="http://www.favit.de/submit.php?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'de_favit.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['de_newsider']) $buffer .= '<a title="newsider.de" href="http://www.newsider.de/submit.php?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'de_newsider.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['de_linksilo']) $buffer .= '<a title="linksilo.de" href="http://www.linksilo.de/index.php?area=bookmarks&amp;func=bookmark_new&amp;addurl=' . $link_encoded . '&amp;addtitle=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'de_linksilo.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['de_readster']) $buffer .= '<a title="readster.de" href="http://www.readster.de/submit/?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'de_readster.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['de_kledy']) $buffer .= '<a title="kledy.de" href="http://www.kledy.de/submit.php?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'de_kledy.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['de_bonitrust']) $buffer .= '<a title="bonitrust.de" href="http://www.bonitrust.de/account/bookmark/?bookmark_url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'de_bonitrust.png"' . $img_attrs . '/></a> ';
    if ($bkmrk_options['de_favoriten']) $buffer .= '<a title="favoriten.de" href="http://www.favoriten.de/url-hinzufuegen.html?bm_url=' . $link_encoded . '&amp;bm_title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'de_favoriten.png"' . $img_attrs . '/></a> ';
	
	
    // Francais
    if ($bkmrk_options['fr_metatarse']) $buffer .= '<a title="metatarse.com" href="http://www.metatarse.com/submit.php?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'fr_metatarse.png"' . $img_attrs . '/></a> ';  
    
    // Espanol
    if ($bkmrk_options['es_meneame']) $buffer .= '<a title="meneame.net" href="http://meneame.net/submit.php?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'es_meneame.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['es_fresqui']) $buffer .= '<a title="tec.fresqui.com" href="http://tec.fresqui.com/post?title=' . $title_encoded . '&amp;url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'es_fresqui.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['es_blogmemes']) $buffer .= '<a title="www.blogmemes.com" href="http://www.blogmemes.com/post.php?url=' . $link_encoded . '&amp;title=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'es_blogmemes.png"' . $img_attrs . '/></a> ';  
        
	// Slovak
    if ($bkmrk_options['sk_linkuj']) $buffer .= '<a title="linkuj.sk" href="http://linkuj.sk/submit.php?phase=1&amp;url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'sk_linkuj.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['sk_vybrali']) $buffer .= '<a title="vybrali.sme.sk" href="http://vybrali.sme.sk/submit.php?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'sk_vybrali.png"' . $img_attrs . '/></a> ';  

	// Czech
	
	// Netherlands
    if ($bkmrk_options['nl_nujij']) $buffer .= '<a href="http://nujij.nl/jij.lynkx?t=' . $title_encoded . '&amp;u=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'nl_nujij.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['nl_ekudos']) $buffer .= '<a href="http://www.ekudos.nl/artikel/nieuw?url=' . $link_encoded . '&amp;title=' . $title_encoded . '&amp;desc=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'nl_ekudos.png"' . $img_attrs . '/></a> ';   
    if ($bkmrk_options['nl_msnreporter']) $buffer .= '<a href="http://reporter.msn.nl/?f=contribute&Title=' . $title_encoded . '&amp;URL=' . '&amp;cat_id=6&amp;tag_id=31&amp;Remark=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'nl_msnreporter.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['nl_tipt']) $buffer .= '<a href="http://www.tipt.nl/new_tip.php?title=' . $title_encoded . '&amp;url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'nl_tipt.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['nl_wvwo']) $buffer .= '<a href="http://watvindenwijover.nl/notes/new?nextaction=home&url=' . $link_encoded . '&amp;title=' . $title_encoded . '&amp;text=' . $title_encoded . '&amp;commit=Verder' . '"' . $target . '><img src="' . $image_url . 'nl_wvwo.png"' . $img_attrs . '/></a> ';  
    if ($bkmrk_options['nl_tagmos']) $buffer .= '<a href="http://www.tagmos.nl/bookmarks.php/?action=add&amp;noui=yes&amp;jump=close&amp;address=' . $link_encoded . '&amp;title=' . $title_encoded . '&amp;description=' . $title_encoded . '"' . $target . '><img src="' . $image_url . 'nl_tagmos.png"' . $img_attrs . '/></a> ';  

	// Sweden
    if ($bkmrk_options['se_pusha']) $buffer .= '<a href="http://www.pusha.se/posta?url=' . $link_encoded . '"' . $target . '><img src="' . $image_url . 'se_pusha.png"' . $img_attrs . '/></a> ';  
	
	return $buffer;
}

?>
